package shenikan

import (
	"testing"
)

func TestLoadUp2(t *testing.T) {
	dict, err := LoadDictionary("../../")
	if err != nil {
		t.Fatal("Failed to load ../../:", err)
		return
	}

	if len(dict.Glyphs) == 0 {
		t.Fatal("No glyphs in ../../:", dict)
		return
	}

	t.Log("Loaded", dict)
}
